curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/market-greeks?pretty=true&api_key=<your_key>"{
"data": [
{
"market": "deribit-BTC-15OCT21-60000-C-option",
"min_time": "2022-01-26T08:00:00.001000000Z",
"max_time": "2022-04-11T08:00:00.000000000Z"
},
{
"market": "deribit-BTC-1OCT21-75000-C-option",
"min_time": "2022-05-30T16:00:00.005000000Z",
"max_time": "2022-07-04T08:00:00.001000000Z"
},
{
"market": "deribit-BTC-26NOV21-60000-C-option",
"min_time": "2021-05-10T16:00:00.013000000Z",
"max_time": "2022-07-04T08:00:00.001000000Z"
}
],
"next_page_token": "Ymlib3gtYWF2ZS1ldGgtc3BvdA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/market-greeks?api_key=<your_key>&page_size=3&next_page_token=Ymlib3gtYWF2ZS1ldGgtc3BvdA"
}Supported market greeks
Returns a list of all market greeks for option market.
curl --compressed "https://api.coinmetrics.io/v4/catalog-all-v2/market-greeks?pretty=true&api_key=<your_key>"{
"data": [
{
"market": "deribit-BTC-15OCT21-60000-C-option",
"min_time": "2022-01-26T08:00:00.001000000Z",
"max_time": "2022-04-11T08:00:00.000000000Z"
},
{
"market": "deribit-BTC-1OCT21-75000-C-option",
"min_time": "2022-05-30T16:00:00.005000000Z",
"max_time": "2022-07-04T08:00:00.001000000Z"
},
{
"market": "deribit-BTC-26NOV21-60000-C-option",
"min_time": "2021-05-10T16:00:00.013000000Z",
"max_time": "2022-07-04T08:00:00.001000000Z"
}
],
"next_page_token": "Ymlib3gtYWF2ZS1ldGgtc3BvdA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-all-v2/market-greeks?api_key=<your_key>&page_size=3&next_page_token=Ymlib3gtYWF2ZS1ldGgtc3BvdA"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

